source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

ruby '2.6.6'

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 6.0.2', '>= 6.0.2.2'
# Use Puma as the app server
gem 'puma', '~> 4.1'
# Use SCSS for stylesheets
gem 'sass-rails', '>= 6'
# Transpile app-like JavaScript. Read more: https://github.com/rails/webpacker
gem 'webpacker', '~> 4.0'
# Turbolinks makes navigating your web application faster. Read more: https://github.com/turbolinks/turbolinks
gem 'turbolinks', '~> 5'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.7'
# Use Redis adapter to run Action Cable in production
# gem 'redis', '~> 4.0'
# Use Active Model has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Active Storage variant
# gem 'image_processing', '~> 1.2'

# Reduces boot times through caching; required in config/boot.rb
gem 'bootsnap', '>= 1.4.2', require: false

# ページネーション
gem 'kaminari'

# DBなしでもモデルに値を持たせたいときに
gem 'active_hash'

# seedで物足りなくなったときに
gem 'seed-fu'
# 自分でダミーデータを作るのが面倒なときに。
gem 'faker'

group :development, :test do
  # 本番はHeroku Postgres
  gem 'pg'
end

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Use sqlite3 as the database for Active Record
  gem 'sqlite3', '~> 1.4'
  # テスト関連
  gem 'rspec-rails'
  gem 'factory_bot_rails'
  gem 'license_finder'
end

group :development do
  # Access an interactive console on exception pages or by calling 'console' anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  # チームでコーディングルールを揃えたいときに
  gem 'robocup'
  # セキュリティチェック
  gem 'brakeman'
  gem 'bundle-audit'
  # エラー時の表示切り替え
  gem 'better_errors'
  gem 'binding_of_caller'
  # N+1問題対策
  gem 'bullet'
  # チームでフォーマットを揃えたいときに
  gem 'rufo'
  # 他人が作ったモデルの項目を知りたいときに
  gem 'annotate'
  # 自分よりすごい人はいくらでもいる
  gem 'rails_best_practices', require: false
end

group :test do
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '>= 2.15'
  gem 'selenium-webdriver'
  # Easy installation and use of web drivers to run system tests with browsers
  gem 'webdrivers'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
